#![no_std]

use core::panic::PanicInfo;

#[panic_handler]
fn panik(_panic_state: &PanicInfo) -> ! {
    loop {}
}

extern {
    fn gpio_put_explict(pin: i32, status: bool) -> i32;
    fn sleep_ms(time: i32) -> i32;
}

#[no_mangle]
pub extern "C" fn set_and_sleep(pin: i32, status: bool, time: i32) -> () {
    if pin <= 28 {
        unsafe {
            gpio_put_explict(pin, status);
            sleep_ms(time);
        }
    }
}

// this is just a mock test, supposed to pass
#[cfg(test)]
mod tests {
    #[test]
    fn it_works() {
        let result = 2 + 2;
        assert_eq!(result, 4);
    }
}
